# Public Cloud › Project Management › Service references › Analytics API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Public Cloud product's sections: https://developers.eu.ovhcloud.com/reference/public-cloud/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 8 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/public-cloud/project-management/service-references/analytics/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/public-cloud/project-management/service-references/analytics.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/public-cloud/project-management/service-references/analytics.json?format=openapi3

## Operations

- `GET /publicCloud/project/{projectId}/managedAnalytics/availability` — List Analytics availabilities
- `GET /publicCloud/project/{projectId}/managedAnalytics/availability/suggestion` — List Analytics availability suggestions
- `GET /publicCloud/project/{projectId}/managedAnalytics/capabilities/disks` — List Analytics disk types
- `GET /publicCloud/project/{projectId}/managedAnalytics/capabilities/engines` — List Analytics engines
- `GET /publicCloud/project/{projectId}/managedAnalytics/capabilities/flavors` — List Analytics flavors
- `GET /publicCloud/project/{projectId}/managedAnalytics/capabilities/options` — List Analytics options
- `GET /publicCloud/project/{projectId}/managedAnalytics/capabilities/plans` — List Analytics plans
- `GET /publicCloud/project/{projectId}/managedAnalytics/capabilities/regions` — List Analytics regions

## List Analytics availabilities

`GET /v2/publicCloud/project/{projectId}/managedAnalytics/availability`

Link: https://developers.eu.ovhcloud.com/reference/public-cloud/project-management/service-references/analytics/#get-publiccloud-project-projectid-managedanalytics-availability

**Status:** Beta version  
**IAM actions:** `publicCloudProject:apiovh:analytics/availability/get`

Returns the combinations of Analytics engine, version, plan and region that can be ordered, with their specifications. Use clusterId with action and target to get the options available for an existing service, for example the plans it can be updated to.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Pagination-Cursor` | header | string |  | Pagination cursor |
| `X-Pagination-Size` | header | integer |  | Pagination size |
| `action` | query | publicCloud.database.availability.ActionEnum |  | Filter availabilities by action type — one of `FORK`, `READ`, `UPDATE` |
| `clusterId` | query | string (uuid) |  | Restrict availabilities to a specific cluster |
| `projectId` | path | string | yes | Project ID |
| `target` | query | publicCloud.database.availability.TargetEnum |  | Filter availabilities by target type — one of `FLAVOR`, `PLAN`, `SELF`, `VERSION` |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | publicCloud.database.Availability[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `backups` | publicCloud.database.availability.Backups | read-only | Backup strategy for this availability |
| `backups.available` | boolean | read-only | Whether backups are available for this offer |
| `backups.retentionDays` | integer | read-only | Number of retention days for the backups |
| `category` | publicCloud.database.CategoryEnum | read-only | Category of the engine (database or analytics) — one of `ANALYTICS`, `DATABASE` |
| `default` | boolean | read-only | Whether this availability can be used by default |
| `engine` | publicCloud.database.EngineEnum | read-only | Database engine name — one of `CLICKHOUSE`, `GRAFANA`, `KAFKA`, `KAFKA_CONNECT`, `KAFKA_MIRROR_MAKER`, `MONGODB`, `MYSQL`, `OPENSEARCH`, `POSTGRESQL`, `VALKEY` |
| `lifecycle` | publicCloud.database.availability.Lifecycle | read-only | Lifecycle information |
| `lifecycle.endOfLifeAt` | string (date) | read-only | End of life date |
| `lifecycle.endOfSaleAt` | string (date) | read-only | End of sale date |
| `lifecycle.startedAt` | string (date) | read-only | Release date |
| `lifecycle.status` | publicCloud.database.availability.StatusEnum | read-only | Current status — one of `BETA`, `DEPRECATED`, `END_OF_LIFE`, `END_OF_SALE`, `STABLE`, `UNAVAILABLE` |
| `plan` | string | read-only | Plan name |
| `planCode` | string | read-only | Billing plan code |
| `planCodeStorage` | string | read-only | Billing plan code for storage |
| `region` | common.RegionEnum | read-only | Region name — one of `af-north-lz-rba`, `ap-south-mum`, `ap-southeast-sgp`, `ap-southeast-syd`, `ca-east-bhs`, `ca-east-tor`, `eu-central-lz-buh`, `eu-central-lz-prg`, `eu-central-lz-sof`, `eu-central-waw`, `eu-north-lz-cph`, `eu-north-lz-hel`, … |
| `specifications` | publicCloud.database.availability.Specifications | read-only | Technical specifications |
| `specifications.flavor` | string | read-only | Flavor name |
| `specifications.network` | publicCloud.database.NetworkEnum | read-only | Type of network (public or private) — one of `PRIVATE`, `PUBLIC` |
| `specifications.nodes` | publicCloud.database.availability.specifications.Nodes | read-only | Node count specifications |
| `specifications.nodes.maximum` | integer | read-only | Maximum number of nodes |
| `specifications.nodes.minimum` | integer | read-only | Minimum number of nodes |
| `specifications.storage` | publicCloud.database.availability.specifications.Storage | read-only | Storage specifications |
| `specifications.storage.maximum` | publicCloud.database.UnitAndValue | read-only | Maximum storage size |
| `specifications.storage.minimum` | publicCloud.database.UnitAndValue | read-only | Minimum storage size |
| `specifications.storage.step` | publicCloud.database.UnitAndValue | read-only | Storage increment step between minimum and maximum |
| `version` | string | read-only | Version name |

```json
[
  {
    "backups": {
      "available": true,
      "retentionDays": 0
    },
    "category": "ANALYTICS",
    "default": true,
    "engine": "CLICKHOUSE",
    "lifecycle": {
      "endOfLifeAt": "2024-01-01",
      "endOfSaleAt": "2024-01-01",
      "startedAt": "2024-01-01",
      "status": "BETA"
    },
    "plan": "string",
    "planCode": "string",
    "planCodeStorage": "string",
    "region": "af-north-lz-rba",
    "specifications": {
      "flavor": "string",
      "network": "PRIVATE",
      "nodes": {
        "maximum": 0,
        "minimum": 0
      },
      "storage": {
        "maximum": {
          "unit": "GB",
          "value": 0
        },
        "minimum": {
          "unit": "GB",
          "value": 0
        },
        "step": {
          "unit": "GB",
          "value": 0
        }
      }
    },
    "version": "string"
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/availability" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/publicCloud/project/{projectId}/managedAnalytics/availability")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/publicCloud/project/{projectId}/managedAnalytics/availability");

print_r($result);
?>
```

## List Analytics availability suggestions

`GET /v2/publicCloud/project/{projectId}/managedAnalytics/availability/suggestion`

Link: https://developers.eu.ovhcloud.com/reference/public-cloud/project-management/service-references/analytics/#get-publiccloud-project-projectid-managedanalytics-availability-suggestion

**Status:** Beta version  
**IAM actions:** `publicCloudProject:apiovh:analytics/availability/get`

Returns suggested combinations of Analytics engine, version, plan, flavor and region. The default suggestion is marked.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Pagination-Cursor` | header | string |  | Pagination cursor |
| `X-Pagination-Size` | header | integer |  | Pagination size |
| `projectId` | path | string | yes | Project ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | publicCloud.database.availability.Suggestion[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `default` | boolean | read-only | Whether this suggestion is the default |
| `engine` | publicCloud.database.EngineEnum | read-only | Engine name — one of `CLICKHOUSE`, `GRAFANA`, `KAFKA`, `KAFKA_CONNECT`, `KAFKA_MIRROR_MAKER`, `MONGODB`, `MYSQL`, `OPENSEARCH`, `POSTGRESQL`, `VALKEY` |
| `flavor` | string | read-only | Flavor name |
| `plan` | string | read-only | Plan name |
| `region` | common.RegionEnum | read-only | Region name — one of `af-north-lz-rba`, `ap-south-mum`, `ap-southeast-sgp`, `ap-southeast-syd`, `ca-east-bhs`, `ca-east-tor`, `eu-central-lz-buh`, `eu-central-lz-prg`, `eu-central-lz-sof`, `eu-central-waw`, `eu-north-lz-cph`, `eu-north-lz-hel`, … |
| `version` | string | read-only | Version name |

```json
[
  {
    "default": true,
    "engine": "CLICKHOUSE",
    "flavor": "string",
    "plan": "string",
    "region": "af-north-lz-rba",
    "version": "string"
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/availability/suggestion" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/publicCloud/project/{projectId}/managedAnalytics/availability/suggestion")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/publicCloud/project/{projectId}/managedAnalytics/availability/suggestion");

print_r($result);
?>
```

## List Analytics disk types

`GET /v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/disks`

Link: https://developers.eu.ovhcloud.com/reference/public-cloud/project-management/service-references/analytics/#get-publiccloud-project-projectid-managedanalytics-capabilities-disks

**Status:** Beta version  
**IAM actions:** `publicCloudProject:apiovh:analytics/capabilities/get`

Returns the disk types available for Analytics services, with their IOPS and throughput specifications.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Pagination-Cursor` | header | string |  | Pagination cursor |
| `X-Pagination-Size` | header | integer |  | Pagination size |
| `projectId` | path | string | yes | Project ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | publicCloud.database.capabilities.DiskType[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `iopsPerGigabyte` | integer | read-only | Number of IOPS per GB of disk. Null when IOPS are fixed regardless of disk size. |
| `maximumIops` | integer | read-only | Maximum IOPS per volume |
| `maximumThroughput` | number | read-only | Maximum throughput in MB/s per volume. Null when no throughput limit applies. |
| `name` | string | read-only | Name of the disk type |
| `throughputPerGigabyte` | number | read-only | Throughput in MB/s per GB of disk. Null when no throughput scaling applies. |

```json
[
  {
    "iopsPerGigabyte": 0,
    "maximumIops": 0,
    "maximumThroughput": 0,
    "name": "string",
    "throughputPerGigabyte": 0
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/disks" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/disks")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/disks");

print_r($result);
?>
```

## List Analytics engines

`GET /v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/engines`

Link: https://developers.eu.ovhcloud.com/reference/public-cloud/project-management/service-references/analytics/#get-publiccloud-project-projectid-managedanalytics-capabilities-engines

**Status:** Beta version  
**IAM actions:** `publicCloudProject:apiovh:analytics/capabilities/get`

Returns the available Analytics engines with their versions, default version and supported TLS modes.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Pagination-Cursor` | header | string |  | Pagination cursor |
| `X-Pagination-Size` | header | integer |  | Pagination size |
| `projectId` | path | string | yes | Project ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | publicCloud.database.EngineCapability[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `category` | publicCloud.database.CategoryEnum | read-only | Category of the engine (database or analytics) — one of `ANALYTICS`, `DATABASE` |
| `defaultVersion` | string | read-only | Version used when no version is specified at service creation |
| `description` | string | read-only | Human-readable description of the engine |
| `lifecycle` | publicCloud.database.availability.Lifecycle | read-only | Lifecycle information of the engine |
| `lifecycle.endOfLifeAt` | string (date) | read-only | End of life date |
| `lifecycle.endOfSaleAt` | string (date) | read-only | End of sale date |
| `lifecycle.startedAt` | string (date) | read-only | Release date |
| `lifecycle.status` | publicCloud.database.availability.StatusEnum | read-only | Current status — one of `BETA`, `DEPRECATED`, `END_OF_LIFE`, `END_OF_SALE`, `STABLE`, `UNAVAILABLE` |
| `name` | string | read-only | Engine name |
| `order` | integer | read-only | Display order |
| `sslModes` | string[] | read-only | Supported TLS modes for connections |
| `storage` | publicCloud.database.capabilities.engine.StorageStrategyEnum | read-only | Storage strategy of the engine — one of `DISTRIBUTED`, `NOT_APPLICABLE`, `REPLICATED` |
| `tags` | string[] | read-only | Display tags |
| `versions` | publicCloud.database.EngineVersion[] | read-only | Versions available for this engine |
| `versions[].default` | boolean | read-only | Whether this is the default version for the engine |
| `versions[].lifecycle` | publicCloud.database.availability.Lifecycle | read-only | Lifecycle information of the version |
| `versions[].lifecycle.endOfLifeAt` | string (date) | read-only | End of life date |
| `versions[].lifecycle.endOfSaleAt` | string (date) | read-only | End of sale date |
| `versions[].lifecycle.startedAt` | string (date) | read-only | Release date |
| `versions[].lifecycle.status` | publicCloud.database.availability.StatusEnum | read-only | Current status — one of `BETA`, `DEPRECATED`, `END_OF_LIFE`, `END_OF_SALE`, `STABLE`, `UNAVAILABLE` |
| `versions[].name` | string | read-only | Version name |
| `versions[].tags` | string[] | read-only | Display tags |

```json
[
  {
    "category": "ANALYTICS",
    "defaultVersion": "string",
    "description": "string",
    "lifecycle": {
      "endOfLifeAt": "2024-01-01",
      "endOfSaleAt": "2024-01-01",
      "startedAt": "2024-01-01",
      "status": "BETA"
    },
    "name": "string",
    "order": 0,
    "sslModes": [
      "string"
    ],
    "storage": "DISTRIBUTED",
    "tags": [
      "string"
    ],
    "versions": [
      {
        "default": true,
        "lifecycle": {
          "endOfLifeAt": "2024-01-01",
          "endOfSaleAt": "2024-01-01",
          "startedAt": "2024-01-01",
          "status": "BETA"
        },
        "name": "string",
        "tags": [
          "string"
        ]
      }
    ]
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/engines" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/engines")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/engines");

print_r($result);
?>
```

## List Analytics flavors

`GET /v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/flavors`

Link: https://developers.eu.ovhcloud.com/reference/public-cloud/project-management/service-references/analytics/#get-publiccloud-project-projectid-managedanalytics-capabilities-flavors

**Status:** Beta version  
**IAM actions:** `publicCloudProject:apiovh:analytics/capabilities/get`

Returns the compute flavors available for Analytics services, with their technical specifications and lifecycle.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Pagination-Cursor` | header | string |  | Pagination cursor |
| `X-Pagination-Size` | header | integer |  | Pagination size |
| `projectId` | path | string | yes | Project ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | publicCloud.database.capabilities.Flavor[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `generation` | publicCloud.database.capabilities.FlavorGenerationEnum | read-only | Generation tag used to group flavors in the order funnel — one of `GEN1`, `GEN2`, `GEN3` |
| `lifecycle` | publicCloud.database.availability.Lifecycle | read-only | Lifecycle information of the flavor |
| `lifecycle.endOfLifeAt` | string (date) | read-only | End of life date |
| `lifecycle.endOfSaleAt` | string (date) | read-only | End of sale date |
| `lifecycle.startedAt` | string (date) | read-only | Release date |
| `lifecycle.status` | publicCloud.database.availability.StatusEnum | read-only | Current status — one of `BETA`, `DEPRECATED`, `END_OF_LIFE`, `END_OF_SALE`, `STABLE`, `UNAVAILABLE` |
| `name` | string | read-only | Name of the flavor |
| `order` | integer | read-only | Display order |
| `specifications` | publicCloud.database.capabilities.flavor.Specifications | read-only | Technical specifications |
| `specifications.memory` | publicCloud.database.UnitAndValue | read-only | RAM size |
| `specifications.memory.unit` | publicCloud.database.StorageUnitEnum |  | Unit of the value — one of `GB`, `MB` |
| `specifications.memory.value` | integer |  | Numeric value |
| `specifications.vcpus` | integer | read-only | Number of vCPU cores |
| `tags` | string[] | read-only | Display tags |

```json
[
  {
    "generation": "GEN1",
    "lifecycle": {
      "endOfLifeAt": "2024-01-01",
      "endOfSaleAt": "2024-01-01",
      "startedAt": "2024-01-01",
      "status": "BETA"
    },
    "name": "string",
    "order": 0,
    "specifications": {
      "memory": {
        "unit": "GB",
        "value": 0
      },
      "vcpus": 0
    },
    "tags": [
      "string"
    ]
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/flavors" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/flavors")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/flavors");

print_r($result);
?>
```

## List Analytics options

`GET /v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/options`

Link: https://developers.eu.ovhcloud.com/reference/public-cloud/project-management/service-references/analytics/#get-publiccloud-project-projectid-managedanalytics-capabilities-options

**Status:** Beta version  
**IAM actions:** `publicCloudProject:apiovh:analytics/capabilities/get`

Returns the options available for Analytics services and their data type.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Pagination-Cursor` | header | string |  | Pagination cursor |
| `X-Pagination-Size` | header | integer |  | Pagination size |
| `projectId` | path | string | yes | Project ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | publicCloud.database.capabilities.Option[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string | read-only | Name of the option |
| `type` | publicCloud.database.capabilities.OptionTypeEnum | read-only | Data type of the option — one of `BOOLEAN`, `DOUBLE`, `DURATION`, `LONG`, `STRING` |

```json
[
  {
    "name": "string",
    "type": "BOOLEAN"
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/options" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/options")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/options");

print_r($result);
?>
```

## List Analytics plans

`GET /v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/plans`

Link: https://developers.eu.ovhcloud.com/reference/public-cloud/project-management/service-references/analytics/#get-publiccloud-project-projectid-managedanalytics-capabilities-plans

**Status:** Beta version  
**IAM actions:** `publicCloudProject:apiovh:analytics/capabilities/get`

Returns the plans available for Analytics services, with their description and automatic backup retention.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Pagination-Cursor` | header | string |  | Pagination cursor |
| `X-Pagination-Size` | header | integer |  | Pagination size |
| `projectId` | path | string | yes | Project ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | publicCloud.database.capabilities.Plan[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `backupRetention` | string (duration) | read-only | Automatic backup retention duration |
| `description` | string | read-only | Description of the plan |
| `lifecycle` | publicCloud.database.availability.Lifecycle | read-only | Lifecycle information of the plan |
| `lifecycle.endOfLifeAt` | string (date) | read-only | End of life date |
| `lifecycle.endOfSaleAt` | string (date) | read-only | End of sale date |
| `lifecycle.startedAt` | string (date) | read-only | Release date |
| `lifecycle.status` | publicCloud.database.availability.StatusEnum | read-only | Current status — one of `BETA`, `DEPRECATED`, `END_OF_LIFE`, `END_OF_SALE`, `STABLE`, `UNAVAILABLE` |
| `name` | string | read-only | Name of the plan |
| `order` | integer | read-only | Display order |
| `tags` | string[] | read-only | Display tags |

```json
[
  {
    "backupRetention": "string",
    "description": "string",
    "lifecycle": {
      "endOfLifeAt": "2024-01-01",
      "endOfSaleAt": "2024-01-01",
      "startedAt": "2024-01-01",
      "status": "BETA"
    },
    "name": "string",
    "order": 0,
    "tags": [
      "string"
    ]
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/plans" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/plans")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/plans");

print_r($result);
?>
```

## List Analytics regions

`GET /v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/regions`

Link: https://developers.eu.ovhcloud.com/reference/public-cloud/project-management/service-references/analytics/#get-publiccloud-project-projectid-managedanalytics-capabilities-regions

**Status:** Beta version  
**IAM actions:** `publicCloudProject:apiovh:analytics/capabilities/get`

Returns the regions available for Analytics services, with their type and lifecycle.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Pagination-Cursor` | header | string |  | Pagination cursor |
| `X-Pagination-Size` | header | integer |  | Pagination size |
| `projectId` | path | string | yes | Project ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | publicCloud.database.capabilities.Region[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `lifecycle` | publicCloud.database.availability.Lifecycle | read-only | Lifecycle information of the region |
| `lifecycle.endOfLifeAt` | string (date) | read-only | End of life date |
| `lifecycle.endOfSaleAt` | string (date) | read-only | End of sale date |
| `lifecycle.startedAt` | string (date) | read-only | Release date |
| `lifecycle.status` | publicCloud.database.availability.StatusEnum | read-only | Current status — one of `BETA`, `DEPRECATED`, `END_OF_LIFE`, `END_OF_SALE`, `STABLE`, `UNAVAILABLE` |
| `name` | string | read-only | Name of the region |
| `order` | integer | read-only | Display order |
| `tags` | string[] | read-only | Display tags |
| `type` | location.TypeEnum | read-only | Type of the region — one of `LOCAL-ZONE`, `REGION-1-AZ`, `REGION-3-AZ` |

```json
[
  {
    "lifecycle": {
      "endOfLifeAt": "2024-01-01",
      "endOfSaleAt": "2024-01-01",
      "startedAt": "2024-01-01",
      "status": "BETA"
    },
    "name": "string",
    "order": 0,
    "tags": [
      "string"
    ],
    "type": "LOCAL-ZONE"
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/regions" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/regions")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/publicCloud/project/{projectId}/managedAnalytics/capabilities/regions");

print_r($result);
?>
```
